Bug 137807 - [MAINTAINER] net-im/qutim: update to 0.2b
Summary: [MAINTAINER] net-im/qutim: update to 0.2b
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-08-15 23:10 UTC by Bakulin Ilya
Modified: 2009-08-21 15:50 UTC (History)
0 users

See Also:


Attachments
qutim-0.2b.patch (2.72 KB, patch)
2009-08-15 23:10 UTC, Bakulin Ilya
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bakulin Ilya 2009-08-15 23:10:03 UTC
- Update to 0.2b

Generated with FreeBSD Port Tools 0.77
Comment 1 Dmitry Marakasov freebsd_committer 2009-08-16 03:13:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 2 Dmitry Marakasov freebsd_committer 2009-08-17 03:29:38 UTC
State Changed
From-To: open->feedback

Does not patch. After patch removed, does not build: 
http://people.freebsd.org/~amdmi3/qutim-0.2b.log
Comment 3 Bakulin Ilya 2009-08-17 06:53:44 UTC
On Mon, 17 Aug 2009 02:30:06 GMT
amdmi3@FreeBSD.org wrote:

> Synopsis: [MAINTAINER] net-im/qutim: update to 0.2b
> 
> State-Changed-From-To: open->feedback
> State-Changed-By: amdmi3
> State-Changed-When: Mon Aug 17 02:29:38 UTC 2009
> State-Changed-Why: 
> Does not patch. After patch removed, does not build:
> http://people.freebsd.org/~amdmi3/qutim-0.2b.log
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=137807
> 
> !DSPAM:4a88c0b4994294688219822!
> 
> 

I forgot to remove patch file, sorry. Please remove files/ directory
completely.

Also I've updated dependencies list.


--- qutim-0.2b.patch begins here ---
diff -ruN --exclude=CVS /usr/ports/net-im/qutim/Makefile /home/kibab/repos/ports-mine/qutim/Makefile
--- /usr/ports/net-im/qutim/Makefile	2009-08-06 22:58:58.000000000 +0400
+++ /home/kibab/repos/ports-mine/qutim/Makefile	2009-08-17 09:49:20.000000000 +0400
@@ -2,32 +2,47 @@
 # Date created:		Mon Jun 16 20:42:11 MSD 2008
 # Whom:			webmaster@kibab.com
 #
-# $FreeBSD: ports/net-im/qutim/Makefile,v 1.3 2009/08/06 18:58:58 miwi Exp $
+# $FreeBSD: ports/net-im/qutim/Makefile,v 1.1 2008/06/16 18:44:15 stas Exp $
 #
 
 PORTNAME=	qutim
-PORTVERSION=	0.1.1
+PORTVERSION=	0.2b
 CATEGORIES=	net-im
 MASTER_SITES=	http://qutim.org/download/ \
 		http://dl.kibab.com/distfiles/qutim/ \
-		ftp://ftp.inferra.ru/pub/qutIM/
-DISTNAME=	qutim_${PORTVERSION}
+		ftp://ftp.inferra.ru/pub/qutim/
+DISTNAME=	qutim_${PORTVERSION}_svn326
 
 MAINTAINER=	webmaster@kibab.com
 COMMENT=	A Qt4-based lightweight ICQ client with advanced features
 
-BROKEN=		doesn't build with new QT 4.5
+LIB_DEPENDS=	Xss:${PORTSDIR}/x11/libXScrnSaver
 
 USE_GMAKE=	yes
 USE_QT_VER=	4
-QT_COMPONENTS=	gui network xml moc_build qmake_build rcc_build uic_build
+QT_COMPONENTS=	gui designer_build script_build network webkit xml moc_build qmake_build rcc_build uic_build
 
-PLIST_FILES=	bin/qutIM
+MAKE_JOBS_SAFE=1
 
-pre-build:
-	cd ${WRKSRC} && ${SETENV} ${MAKE_ENV} ${QMAKE} -o Makefile qutIM.pro
+USE_CMAKE=	yes
+CMAKE_BUILD_TYPE=	DEBUG
+CMAKE_USE_PTHREAD=	yes
+CMAKE_VERBOSE=	yes
+CMAKE_ARGS+=	-DUNIX:BOOL=1 -DBSD:BOOL=1
+
+PLIST_FILES=	bin/qutim \
+		include/qutim/plugininterface.h \
+		include/qutim/protocolinterface.h \
+		include/qutim/iconmanagerinterface.h
+PLIST_DIRS=	include/qutim
 
-do-install:
-	@${INSTALL_PROGRAM} ${WRKSRC}/build/bin/qutIM ${PREFIX}/bin
+WRKSRC=	${WRKDIR}/qutim
 
+do-install:
+	@${MKDIR} ${PREFIX}/include/qutim
+	@${INSTALL_PROGRAM} ${WRKSRC}/qutim ${PREFIX}/bin
+	@${INSTALL_DATA} ${WRKSRC}/include/qutim/plugininterface.h ${PREFIX}/include/qutim
+	@${INSTALL_DATA} ${WRKSRC}/include/qutim/protocolinterface.h ${PREFIX}/include/qutim
+	@${INSTALL_DATA} ${WRKSRC}/include/qutim/iconmanagerinterface.h ${PREFIX}/include/qutim
+	@${STRIP_CMD} ${PREFIX}/bin/qutim
 .include <bsd.port.mk>
diff -ruN --exclude=CVS /usr/ports/net-im/qutim/distinfo /home/kibab/repos/ports-mine/qutim/distinfo
--- /usr/ports/net-im/qutim/distinfo	2008-08-03 02:18:36.000000000 +0400
+++ /home/kibab/repos/ports-mine/qutim/distinfo	2009-08-17 08:29:36.000000000 +0400
@@ -1,3 +1,3 @@
-MD5 (qutim_0.1.1.tar.gz) = 0c43b30c1f428d0557f9d68f6cb4cff2
-SHA256 (qutim_0.1.1.tar.gz) = db62de671d9d6d5462dc2330ba9039cc1db74169eeefad8a2d3bc5609967df3c
-SIZE (qutim_0.1.1.tar.gz) = 805600
+MD5 (qutim_0.2b_svn326.tar.gz) = d45263742bcbdcd08ccfc6a13b1e0002
+SHA256 (qutim_0.2b_svn326.tar.gz) = 3197640c4bdbfc4301f4e22ca2b56d27878263a100415903f051ca13286ef298
+SIZE (qutim_0.2b_svn326.tar.gz) = 1670926
diff -ruN --exclude=CVS /usr/ports/net-im/qutim/files/patch-protocol-oscar-icq-contactlist.cpp /home/kibab/repos/ports-mine/qutim/files/patch-protocol-oscar-icq-contactlist.cpp
--- /usr/ports/net-im/qutim/files/patch-protocol-oscar-icq-contactlist.cpp	2008-08-03 02:18:37.000000000 +0400
+++ /home/kibab/repos/ports-mine/qutim/files/patch-protocol-oscar-icq-contactlist.cpp	1970-01-01 03:00:00.000000000 +0300
@@ -1,26 +0,0 @@
---- protocol/oscar/icq/contactlist.cpp.orig	2008-07-22 19:34:21.000000000 +0400
-+++ protocol/oscar/icq/contactlist.cpp	2008-07-22 20:14:46.000000000 +0400
-@@ -16,6 +16,7 @@
- //#include <QtGui>
- #include <QTcpSocket>
- #include <QNetworkProxy>
-+#include <sys/time.h>
- #include "treegroupitem.h"
- #include "treebuddyitem.h"
- #include "icqmessage.h"
-@@ -1559,8 +1560,14 @@
- 		msg->message = codec->toUnicode(socket->read(length - 1));
- 		
- 		QDateTime curTime = QDateTime::currentDateTime();
-+		
-+		// Use POSIX-compatible way to get daylight saving correction
-+		struct timeval tp;
-+		struct timezone tzp;
-+		gettimeofday(&tp, &tzp);
-+		
- 		int offset = (curTime.toLocalTime().time().hour() - curTime.toUTC().time().hour()) * 3600 + 
--			(curTime.toLocalTime().time().minute() - curTime.toUTC().time().minute()) * 60 - daylight * 3600;
-+			(curTime.toLocalTime().time().minute() - curTime.toUTC().time().minute()) * 60 - tzp.tz_dsttime * 3600;
- 		offlineDateTime = offlineDateTime.addSecs(offset);
- 		
- 		msg->date = offlineDateTime;
--- qutim-0.2b.patch ends here ---
Comment 4 Dmitry Marakasov freebsd_committer 2009-08-21 15:44:33 UTC
State Changed
From-To: feedback->open

Feedback received
Comment 5 dfilter service freebsd_committer 2009-08-21 15:46:32 UTC
amdmi3      2009-08-21 14:46:24 UTC

  FreeBSD ports repository

  Modified files:
    net-im/qutim         Makefile distinfo 
  Removed files:
    net-im/qutim/files   patch-protocol-oscar-icq-contactlist.cpp 
  Log:
  - Update to 0.2b
  
  PR:             137807
  Submitted by:   Ilya Bakulin <webmaster@kibab.com> (maintainer)
  
  Revision  Changes    Path
  1.4       +25 -10    ports/net-im/qutim/Makefile
  1.3       +3 -3      ports/net-im/qutim/distinfo
  1.2       +0 -26     ports/net-im/qutim/files/patch-protocol-oscar-icq-contactlist.cpp (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Dmitry Marakasov freebsd_committer 2009-08-21 15:50:19 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!